Authorization: Bearer ********************curl --location --request PUT '/bankaccounts/rules/' \
--header 'Content-Type: application/json' \
--data-raw '{
"rule_name": "Minimum Deposit Rule",
"target_account_id": 460000000048001,
"apply_to": "deposits",
"criteria_type": "and",
"criterion": [
{
"criteria_id": "460000000048009",
"field": "amount",
"comparator": "greater_than_or_equals",
"value": "Normal"
}
],
"record_as": "deposit",
"account_id": 460000000049001,
"customer_id": 46000000000111,
"tax_id": "982000000566009",
"reference_number": "manual",
"vat_treatment": "string",
"tax_treatment": "vat_registered",
"is_reverse_charge_applied": true,
"product_type": "goods",
"tax_authority_id": "460000000066001",
"tax_exemption_id": "460000000076002"
}'{
"code": 0,
"message": "The bank rule has been updated.",
"rule": {
"rule_id": "460000000048005",
"rule_name": "Minimum Deposit Rule",
"rule_order": 0,
"apply_to": "deposits",
"criteria_type": "and",
"criterion": [
{
"criteria_id": "460000000048009",
"field": "amount",
"comparator": "greater_than_or_equals",
"value": "Normal"
}
],
"record_as": "deposit",
"account_id": "460000000000358",
"account_name": "Undeposited Funds",
"tax_id": "982000000566009",
"customer_id": "460000000044001",
"customer_name": "SAF Instruments Inc",
"reference_number": " ",
"payment_mode": "Cash",
"vat_treatment": "string",
"tax_treatment": "vat_registered",
"is_reverse_charge_applied": true,
"product_type": "goods",
"tax_authority_id": "460000000066001",
"tax_authority_name": "Illinois Department of Revenue",
"tax_exemption_code": "RESELLER"
}
}